aagc.vo

## Class UpdatePosizioneAnagraficaMedicoBaseRequest

- java.lang.Object
- - aagc.vo.UpdatePosizioneAnagraficaMedicoBaseRequest

-     public class UpdatePosizioneAnagraficaMedicoBaseRequest
      extends java.lang.Object

  Classe Java per updatePosizioneAnagraficaMedicoBaseRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="updatePosizioneAnagraficaMedicoBaseRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cittadinanza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codice" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataDecesso" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="email" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="indirizzoDomicilio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="indirizzoResidenza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="numeroTelefono" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="statoCivile" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cittadinanza`
    `protected java.lang.String` | `codice`
    `protected java.lang.String` | `dataDecesso`
    `protected java.lang.String` | `email`
    `protected java.lang.String` | `indirizzoDomicilio`
    `protected java.lang.String` | `indirizzoResidenza`
    `protected java.lang.String` | `numeroTelefono`
    `protected java.lang.String` | `statoCivile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdatePosizioneAnagraficaMedicoBaseRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCittadinanza()` Recupera il valore della proprietà cittadinanza.
    `java.lang.String` | `getCodice()` Recupera il valore della proprietà codice.
    `java.lang.String` | `getDataDecesso()` Recupera il valore della proprietà dataDecesso.
    `java.lang.String` | `getEmail()` Recupera il valore della proprietà email.
    `java.lang.String` | `getIndirizzoDomicilio()` Recupera il valore della proprietà indirizzoDomicilio.
    `java.lang.String` | `getIndirizzoResidenza()` Recupera il valore della proprietà indirizzoResidenza.
    `java.lang.String` | `getNumeroTelefono()` Recupera il valore della proprietà numeroTelefono.
    `java.lang.String` | `getStatoCivile()` Recupera il valore della proprietà statoCivile.
    `void` | `setCittadinanza(java.lang.String value)` Imposta il valore della proprietà cittadinanza.
    `void` | `setCodice(java.lang.String value)` Imposta il valore della proprietà codice.
    `void` | `setDataDecesso(java.lang.String value)` Imposta il valore della proprietà dataDecesso.
    `void` | `setEmail(java.lang.String value)` Imposta il valore della proprietà email.
    `void` | `setIndirizzoDomicilio(java.lang.String value)` Imposta il valore della proprietà indirizzoDomicilio.
    `void` | `setIndirizzoResidenza(java.lang.String value)` Imposta il valore della proprietà indirizzoResidenza.
    `void` | `setNumeroTelefono(java.lang.String value)` Imposta il valore della proprietà numeroTelefono.
    `void` | `setStatoCivile(java.lang.String value)` Imposta il valore della proprietà statoCivile.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cittadinanza

          protected java.lang.String cittadinanza

    - #### codice

          protected java.lang.String codice

    - #### dataDecesso

          protected java.lang.String dataDecesso

    - #### email

          protected java.lang.String email

    - #### indirizzoDomicilio

          protected java.lang.String indirizzoDomicilio

    - #### indirizzoResidenza

          protected java.lang.String indirizzoResidenza

    - #### numeroTelefono

          protected java.lang.String numeroTelefono

    - #### statoCivile

          protected java.lang.String statoCivile

  - ### Constructor Detail

    - #### UpdatePosizioneAnagraficaMedicoBaseRequest

          public UpdatePosizioneAnagraficaMedicoBaseRequest()

  - ### Method Detail

    - #### getCittadinanza

          public java.lang.String getCittadinanza()

      Recupera il valore della proprietà cittadinanza.
      Returns:
        possible object is `String`

    - #### setCittadinanza

          public void setCittadinanza(java.lang.String value)

      Imposta il valore della proprietà cittadinanza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodice

          public java.lang.String getCodice()

      Recupera il valore della proprietà codice.
      Returns:
        possible object is `String`

    - #### setCodice

          public void setCodice(java.lang.String value)

      Imposta il valore della proprietà codice.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataDecesso

          public java.lang.String getDataDecesso()

      Recupera il valore della proprietà dataDecesso.
      Returns:
        possible object is `String`

    - #### setDataDecesso

          public void setDataDecesso(java.lang.String value)

      Imposta il valore della proprietà dataDecesso.
      Parameters:
        `value` - allowed object is `String`

    - #### getEmail

          public java.lang.String getEmail()

      Recupera il valore della proprietà email.
      Returns:
        possible object is `String`

    - #### setEmail

          public void setEmail(java.lang.String value)

      Imposta il valore della proprietà email.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndirizzoDomicilio

          public java.lang.String getIndirizzoDomicilio()

      Recupera il valore della proprietà indirizzoDomicilio.
      Returns:
        possible object is `String`

    - #### setIndirizzoDomicilio

          public void setIndirizzoDomicilio(java.lang.String value)

      Imposta il valore della proprietà indirizzoDomicilio.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndirizzoResidenza

          public java.lang.String getIndirizzoResidenza()

      Recupera il valore della proprietà indirizzoResidenza.
      Returns:
        possible object is `String`

    - #### setIndirizzoResidenza

          public void setIndirizzoResidenza(java.lang.String value)

      Imposta il valore della proprietà indirizzoResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumeroTelefono

          public java.lang.String getNumeroTelefono()

      Recupera il valore della proprietà numeroTelefono.
      Returns:
        possible object is `String`

    - #### setNumeroTelefono

          public void setNumeroTelefono(java.lang.String value)

      Imposta il valore della proprietà numeroTelefono.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatoCivile

          public java.lang.String getStatoCivile()

      Recupera il valore della proprietà statoCivile.
      Returns:
        possible object is `String`

    - #### setStatoCivile

          public void setStatoCivile(java.lang.String value)

      Imposta il valore della proprietà statoCivile.
      Parameters:
        `value` - allowed object is `String`